VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IVRDEServer Interface Reference
Inheritance diagram for IVRDEServer:

## Public Member Functions
void | setVRDEProperty (in wstring key, in wstring value)
| Sets a VRDE specific property string.
void | getVRDEProperty (in wstring key, [retval] out wstring value)
| Returns a VRDE specific property string.

## Public Attributes
attribute boolean | enabled
| Flag if VRDE server is enabled.
attribute AuthType | authType
| VRDE authentication method.
attribute unsigned long | authTimeout
| Timeout for guest authentication.
attribute boolean | allowMultiConnection
| Flag whether multiple simultaneous connections to the VM are permitted.
attribute boolean | reuseSingleConnection
| Flag whether the existing connection must be dropped and a new connection must be established by the VRDE server, when a new client connects in single connection mode.
attribute wstring | VRDEExtPack
| The name of Extension Pack providing VRDE for this VM.
attribute wstring | authLibrary
| Library used for authentication of RDP clients by this VM.
readonly attribute wstring[] | VRDEProperties
| Array of names of properties, which are supported by this VRDE server.

## Member Function Documentation

## ◆ setVRDEProperty()

void IVRDEServer::setVRDEProperty | ( | in wstring | key,
|  | in wstring | value
| ) |  |

Sets a VRDE specific property string.

If you pass `null` or empty string as a key value, the given key will be deleted.

Parameters

  key | Name of the key to set.
  value | Value to assign to the key.

## ◆ getVRDEProperty()

void IVRDEServer::getVRDEProperty | ( | in wstring | key,
|  | [retval] out wstring | value
| ) |  |

Returns a VRDE specific property string.

If the requested data key does not exist, this function will succeed and return an empty string in the value argument.

Parameters

  key | Name of the key to get.
  value | Value of the requested key.

## Member Data Documentation

## ◆ enabled

attribute boolean IVRDEServer::enabled

Flag if VRDE server is enabled.

## ◆ authType

attribute AuthType IVRDEServer::authType

VRDE authentication method.

## ◆ authTimeout

attribute unsigned long IVRDEServer::authTimeout

Timeout for guest authentication.

Milliseconds.

## ◆ allowMultiConnection

attribute boolean IVRDEServer::allowMultiConnection

Flag whether multiple simultaneous connections to the VM are permitted.

Note that this will be replaced by a more powerful mechanism in the future.

## ◆ reuseSingleConnection

attribute boolean IVRDEServer::reuseSingleConnection

Flag whether the existing connection must be dropped and a new connection must be established by the VRDE server, when a new client connects in single connection mode.

## ◆ VRDEExtPack

attribute wstring IVRDEServer::VRDEExtPack

The name of Extension Pack providing VRDE for this VM.

Overrides ISystemProperties::defaultVRDEExtPack. Querying this attribute returns the effective value directly, that means if the per-VM setting is empty then the global default is directly returned.

## ◆ authLibrary

attribute wstring IVRDEServer::authLibrary

Library used for authentication of RDP clients by this VM.

Overrides ISystemProperties::VRDEAuthLibrary.

## ◆ VRDEProperties

readonly attribute wstring [] IVRDEServer::VRDEProperties

Array of names of properties, which are supported by this VRDE server.